Bug 101778 - Several Icons of Toolbars are not greyed, if Document is in Read-only mode
Summary: Several Icons of Toolbars are not greyed, if Document is in Read-only mode
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.0.2
Keywords:
Depends on:
Blocks: Toolbars Read-Only
  Show dependency treegraph
 
Reported: 2016-08-29 14:59 UTC by Harald Koester
Modified: 2018-09-25 20:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2016-08-29 14:59:09 UTC
If a text document in Writer is in read-only mode, all toolbar icons, which make no sense in this mode should be greyed. Currently this is not the case with these icons:
[1] Toolbar 3D-Settings: (a) 3D Color
[2] Toolbar Classification: (a, b, c) All 3 drop-down lists
[3] Toolbar Drawing Object Properties: (a) Line Color, (b) Fill Color
[4] Toolbar Formatting: (a) Background Color
[5] Toolbar Frame: (a) Border Color, (b) Background Color
[6] Toolbar Logo: At least (a) FORWARD 10, (b) BACK 10, (c) LEFT 15°, (d) RIGHT 15°, (e) CLEARSCREEN
[7] Toolbar OLE-Object: (a) Border Color, (b) Background Color
[8] Toolbar Table: The following icons are not only greyed, they also can change the document in read-only mode: (a) Number Format: Standard, (b) Number Format: Currency, (c) Number Format: Percent, (d) Number Format:
[9] Toolbar Table: (a) Split Cells, (b) Background Color, (c) Autoformat Table Styles, (d) Border Color, Decimal, (e) Table Properties
[10] Toolbar Text Object: (a) Font Color

In order to reproduce these bugs:
[1] Open a read-only document or set a document into read-only mode.
[2] Display the respective toolbar: View > Toolbars > (Select toolbar)
[3] If the respective icon is not visible: (a) Right-click on respective toolbar, in order to open context menu, (b) select Visible Buttons (c) select respective Button
Result: All icons mentioned above are not greyed. Expected: Icons should be greyed.
Comment 1 Aron Budea 2016-09-18 05:01:31 UTC
Thanks for the detailed bug report, Harald.
I checked a bunch of the list, and can confirm. During the fix it'll be worth checking the toolbar elements that are hidden by default, too.
Comment 2 QA Administrators 2018-07-02 02:35:49 UTC Comment hidden (obsolete)
Comment 3 Harald Koester 2018-07-04 11:56:45 UTC
I checked the writer toolbars again with version 6.0.5 (64 bit, Win10). The situation is a bit improved, but there are still several icons that are not greyed in the read-only mode:

[1] Toolbar Drawing Object Properties: (a) Line Style
[2] Toolbar Formatting: (a) Orientation
[3] Toolbar Formatting (Styles): (a) All paragraph styles, (b) all paragraph styles, all list styles
[4] Toolbar Image: if image is selected (a) Crop Image, (b) Rotate 90° Left, (b) Rotate 90° Right
[5] Toolbar Logo: At least (a) FORWARD 10, (b) BACK 10, (c) LEFT 15°, (d) RIGHT 15°, (e) CLEARSCREEN
[6] Toolbar Table: The following icons are not only greyed, they also can change the document in read-only mode: (a) Number Format: Standard, (b) Number Format: Currency, (c) Number Format: Percent, (d) Number Format: Decimal
[7] Toolbar TSCP Classification: (a) Drop-Down list Intellectual Property
Comment 4 Xisco Faulí 2018-07-08 14:12:39 UTC
Submitted a patch for the image toolbar: https://gerrit.libreoffice.org/#/c/57158/
Comment 5 Commit Notification 2018-07-12 08:42:39 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cdd373e593557984dcd90c94bbb9b053655c1b83

tdf#101778: Disable crop and rotate in read-only mode

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-07-12 19:04:40 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=296f722e0447cf7bc43c556f861c3e6686f224b6&h=libreoffice-6-1

tdf#101778: Disable crop and rotate in read-only mode

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Harald Koester 2018-09-25 20:59:27 UTC
I checked the writer toolbars again with version 6.1.1 (64 bit, Win10). The situation is a bit improved, but there are still several icons that are not greyed in the read-only mode:

[1] Toolbar Drawing Object Properties: (a) Line Style
[2] Toolbar Formatting (Styles): (a) All paragraph styles, (b) all character styles, (c) all list styles
[3] Toolbar Logo: At least (a) FORWARD 10, (b) BACK 10, (c) LEFT 15°, (d) RIGHT 
[4] Toolbar Table: If the cursor is inside a table cell, the following icons are not only greyed, they also can change the document in read-only mode: (a) Number Format: Standard, (b) Number Format: Currency, (c) Number Format: Percent, (d) Number Format: Decimal, (e) Number Format: Date
[5] Toolbar TSCP Classification: (a) Drop-Down list Intellectual Property
[6] Toolbar Tools: (a) Insert